# Created by pyp2rpm-3.3.5
%global pypi_name azure-mgmt-core

Name:           python-%{pypi_name}
Version:        1.4.0
Release:        %mkrel 3
Summary:        Microsoft Azure Management Core Library for Python
Group:          Development/Python
License:        MIT License
URL:            https://github.com/Azure/azure-sdk-for-python/tree/main/sdk/core/azure-mgmt-core
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.zip
BuildArch:      noarch
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-devel
BuildRequires:  python3dist(azure-core)
BuildRequires:  python3dist(httpretty)
BuildRequires:  python3dist(aiohttp)

%description
Azure management core library defines extensions to Azure Core that are specific
to ARM (Azure Resource Management) needed when you use client libraries.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Azure management core library defines extensions to Azure Core that are specific
to ARM (Azure Resource Management) needed when you use client libraries.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files azure

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md
%doc README.md



%changelog
* Mon Mar 03 2025 wally <wally> 1.4.0-3.mga10
+ Revision: 2159604
- rebuild for python3.13

* Thu Feb 29 2024 papoteur <papoteur> 1.4.0-2.mga10
+ Revision: 2045809
- rebuild for python 3.12
- use pyproject macros

* Sun Oct 01 2023 papoteur <papoteur> 1.4.0-1.mga10
+ Revision: 1992826
- new 1.4.0

* Mon Sep 05 2022 neoclust <neoclust> 1.3.2-1.mga9
+ Revision: 1884036
- New version 1.3.2

* Thu Jul 14 2022 papoteur <papoteur> 1.3.1-1.mga9
+ Revision: 1868780
- imported package python-azure-mgmt-core

